Bug 188145 - audio/calf: Fix build on -current
audio/calf: Fix build on -current
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-31 19:40 UTC by tkato432
Modified: 2014-04-23 02:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.68 KB, patch)
2014-03-31 19:40 UTC, tkato432
no flags Details | Diff
audio_calf.diff (2.14 KB, patch)
2014-04-03 19:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-03-31 19:40:03 UTC
- Fix build on -current
Comment 1 Edwin Groothuis freebsd_committer 2014-03-31 19:40:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2014-04-03 19:58:51 UTC
Remake of the patch against current tree.
Comment 3 Dmitry Marakasov freebsd_committer 2014-04-22 01:15:21 UTC
Responsible Changed
From-To: miwi->amdmi3

Take, since I've committed fixes to these
Comment 4 dfilter freebsd_committer 2014-04-23 02:14:47 UTC
Author: amdmi3
Date: Wed Apr 23 01:14:42 2014
New Revision: 351901
URL: http://svnweb.freebsd.org/changeset/ports/351901
QAT: https://qat.redports.org/buildarchive/r351901/

Log:
  - Minor port cleanup
  
  PR:		188145
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/audio/calf/Makefile

Modified: head/audio/calf/Makefile
==============================================================================
--- head/audio/calf/Makefile	Wed Apr 23 01:09:58 2014	(r351900)
+++ head/audio/calf/Makefile	Wed Apr 23 01:14:42 2014	(r351901)
@@ -18,12 +18,7 @@ LIB_DEPENDS=	libfluidsynth.so:${PORTSDIR
 		libfftw3f.so:${PORTSDIR}/math/fftw3-float \
 		libexpat.so:${PORTSDIR}/textproc/expat2
 
-OPTIONS_DEFINE=	LASH LV2
-OPTIONS_DEFAULT=LASH LV2
-OPTIONS_SUB=	yes
-LV2_DESC=	LV2 audio plugin
-
-USES=		gmake pkgconfig compiler:env
+USES=		gmake pkgconfig
 USE_GNOME=	gtk20
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
@@ -31,29 +26,36 @@ INSTALLS_ICONS=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
+OPTIONS_DEFINE=		LASH LV2
+OPTIONS_DEFAULT=	LASH LV2
+OPTIONS_SUB=		yes
+
 LASH_LIB_DEPENDS=	liblash.so:${PORTSDIR}/audio/lash
 LASH_CONFIGURE_WITH=	lash
+LV2_DESC=		LV2 audio plugin
 LV2_BUILD_DEPENDS=	lv2core>0:${PORTSDIR}/audio/lv2core
 LV2_RUN_DEPENDS=	lv2core>0:${PORTSDIR}/audio/lv2core
 LV2_CONFIGURE_WITH=	lv2
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 post-patch:
 	@${FIND} ${BUILD_WRKSRC} -name '*.cpp' | ${XARGS} ${REINPLACE_CMD} -e \
 		's|<malloc.h>|<stdlib.h>|'
-	@${REINPLACE_CMD} -e '/CXXFLAGS/s|-O3||' ${WRKSRC}/configure
-	@${REINPLACE_CMD} -e '/calf.so/s|$$(pkglibdir)|../../calf|' \
+	@${REINPLACE_CMD} -e \
+		'/CXXFLAGS/s|-O3|| ; \
+		 /CXXFLAGS/s|-finline-functions-called-once||' \
+		${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		'/AM_CXXFLAGS/s|-finline-limit=80|| ; \
+		 /calf.so/s|$$(pkglibdir)|../../calf|' \
 		${WRKSRC}/src/Makefile.in
-	@${REINPLACE_CMD} -e 's|src\.size();|src->size();|' \
+	@${REINPLACE_CMD} -e \
+		's|src\.size();|src->size();|' \
 		${WRKSRC}/src/calf/buffer.h
-	@${REINPLACE_CMD} -e 's|data\[(1<<IntBits)+1\]|data[]|' \
+	@${REINPLACE_CMD} -e \
+		's|data\[(1<<IntBits)+1\]|data[]|' \
 		${WRKSRC}/src/calf/fixed_point.h
-.if ${COMPILER_TYPE} == "clang"
-	@${REINPLACE_CMD} -e 's|-finline-functions -finline-functions-called-once||' \
-		${WRKSRC}/configure
-	@${REINPLACE_CMD} -e 's|-finline-limit=80||' ${WRKSRC}/src/Makefile.in
-.endif
 
 pre-build:
 .if ${PORT_OPTIONS:MLV2}
@@ -72,4 +74,4 @@ post-install:
 		-p ${STAGEDIR}${PREFIX}/lib/lv2/calf.lv2)
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2014-04-23 02:16:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!